/* hi_score.h */

#ifndef __HI_SCORE_H__
#define __HI_SCORE_H__

#ifdef __cplusplus
extern "C" {
#endif

#define NUM_DIGITS          10
#define NUM_ALPHA           26
/* High Score. */
#define HS_MAX_SCORES   10 /* maximum, with current 'font' */
#define HS_MAX_INITIALS 3
#define HS_MAX_DIGITS   HS_MAX_SCORES * MAX_DIGITS
#define HS_MAX_ALPHA    HS_MAX_SCORES * HS_MAX_INITIALS
#define HS_MAX_CHARS    HS_MAX_DIGITS + HS_MAX_ALPHA


extern SDL_Surface *digit_30_image;
extern SDL_Surface *alpha_30_image;

int   hi_score_init(void);
void  hi_score_free(void);
char *hi_score_read(void);
void  hi_score_write(char *buf);
int   hi_score_view(void);

#ifdef __cplusplus
};
#endif

#endif
