/* shots.h */

#ifndef __SHOTS_H__
#define __SHOTS_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "sprite.h"

int  shots_init(void);
void shots_free(void);

void shots_set_timer(int count);
int  shots_decrement_timer(void);

Sprite *shots_add(void);
void shots_move(void);
int  shots_collide(void);
void shots_foreach(SpriteFunc dofunc);


#ifdef __cplusplus
};
#endif

#endif
